# Programs

Programs

 - [GET /programs/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/programs/listprograms.md): This method will scan all programs and and return them to the caller.
 - [POST /programs/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/programs/createprogram.md): This method will auto-generate an ID and create a new program. If an ID is specified for the program, an error will be thrown.
 - [POST /programs/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/programs/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /programs/{tenantId}/public](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/programs/listallprogramspublic.md): This method will scan all programs and and return them to the caller.
 - [DELETE /programs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/programs/deleteprogram.md): This method will delete a program with the specified ID.
 - [GET /programs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/programs/getprogram.md): This method will look up a program by the specified ID and return it back.
 - [PATCH /programs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/programs/patchprogram.md): This method will patch an existing program with the specified ID, using the HTTP PATCH specification.
 - [PUT /programs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/programs/updateprogram.md): This method will update an existing program with the specified ID.
